## ros-kinetic-object-recognition-ros-visualization 0.3.8

=== src/rviz_plugin/CMakeLists.txt ===
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

find_package(Qt5Core QUIET)
if(Qt5Core_FOUND)
find_package(Qt5Core)
find_package(Qt5Gui)

qt5_wrap_cpp(MOC_FILES
  ork_object_display.h
  ork_table_display.h
)
else()
find_package(Qt4 COMPONENTS QtCore QtGui QUIET)
include(${QT_USE_FILE})
add_definitions(-DQT_NO_KEYWORDS)
endif()

set(SOURCE_FILES
  ork_object_display.cpp
  ork_object_visual.cpp
  ork_table_display.cpp
  ork_table_visual.cpp
  ${MOC_FILES}
)

add_library(${PROJECT_NAME} ${SOURCE_FILES})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES}
                                           ${QT_LIBRARIES}
)
if(NOT Qt4_FOUND)
target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Gui)
endif()

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-kinetic-object-recognition-ros-visualization (0.3.8-0xenial) xenial; urgency=high

  * work with Qt5
  * prevent a crash if object not in DB
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Apr 2016 22:00:00 -0000

ros-kinetic-object-recognition-ros-visualization (0.3.7-0xenial) xenial; urgency=high

  * Merge pull request #4 <https://github.com/wg-perception/object_recognition_ros_visualization/issues/4> from v4hn/fix-empty-hull-segfault
    fix segfault when table with empty hull is received
  * fix segfault when table with empty hull is received
  * update conf file for docs
  * Contributors: Vincent Rabaud, v4hn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 24 Jun 2015 22:00:00 -0000

ros-kinetic-object-recognition-ros-visualization (0.3.6-0xenial) xenial; urgency=high

  * Merge pull request #3 <https://github.com/wg-perception/object_recognition_ros_visualization/issues/3> from v4hn/colorful-tables
    Add color property to table display
  * Add color property to table display
    Now tables can have different colors.
    This is helpful if you get tables from different sources...
  * Merge pull request #2 <https://github.com/wg-perception/object_recognition_ros_visualization/issues/2> from v4hn/moc-boost-1.57
    Fix build with qt4's moc & boost 1.57
  * Fix build with qt4's moc & boost 1.57
    This is a common workaround to make sure moc doesn't see
    preprocessorvariables it doesn't like in boost...
  * Contributors: Michael Görner, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Dec 2014 23:00:00 -0000

ros-kinetic-object-recognition-ros-visualization (0.3.5-0xenial) xenial; urgency=high

  * remove useless dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-kinetic-object-recognition-ros-visualization (0.3.4-0xenial) xenial; urgency=high

  * clean up dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-kinetic-object-recognition-ros-visualization (0.3.3-0xenial) xenial; urgency=high

  * add documentation
  * clean CMake and package.xml
  * remove the ecto cells for the object_recognition_msgs
    they are build in object_recognition_ros
  * initial commit
  * Contributors: Ha Dang, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-object-recognition-ros-visualization
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-object-recognition-msgs, ros-kinetic-object-recognition-ros, ros-kinetic-pluginlib, ros-kinetic-rviz
Homepage: wg-perception.github.io/object_recognition_ros
Standards-Version: 3.9.2

Package: ros-kinetic-object-recognition-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-object-recognition-msgs, ros-kinetic-object-recognition-ros, ros-kinetic-pluginlib, ros-kinetic-rviz
Description: object_recognition_ros_visualization contains rviz plugins to visualize ork detection results

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-object-recognition-ros-visualization//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
